For the complete documentation index, see llms.txt. This page is also available as Markdown.

LAND

LAND parcel operations

Get redirection hashes

get
/lands/redirectionHashes

Returns IPFS hashes for LAND redirection files

Query parameters
coordsone ofRequired
stringOptional
or
string[]Optional
Responses
200

Redirection hashes

application/json
okbooleanOptional
get/lands/redirectionHashes
GET /v1/lands/redirectionHashes?coords=text HTTP/1.1
Host: builder-api.decentraland.org
Accept: */*
{
  "ok": true,
  "data": [
    {
      "x": 1,
      "y": 1,
      "ipfsHash": "text",
      "contentHash": "text"
    }
  ]
}

Upload LAND redirection

post
/lands/{coords}/redirection

Uploads a redirection file to IPFS

Path parameters
coordsstringRequiredPattern: ^-?[0-9]+,-?[0-9]+$
Responses
200

Redirection uploaded

application/json
okbooleanOptional
post/lands/{coords}/redirection
POST /v1/lands/{coords}/redirection HTTP/1.1
Host: builder-api.decentraland.org
Accept: */*
{
  "ok": true,
  "data": {
    "ipfsHash": "text",
    "contentHash": "text"
  }
}

Last updated